Launchpad (MK2) | NovationMusic.com

Launchpad (MK2)

Articles

The Launchapd Mk2 & Launchpad Pro require Ableton Live 9.1.10 or higher. However, we always recommend using the latest version of Ableton Live available to ensure your software is working...
Launchpad app version 1.15 has now been released which includes Launchpad Mk2 compatibility. To get this version, update to the latest version of the app in the app store. *This pertains only to the...
The Launchpad (not the Original Launchpad or Launchpad S) requires you to use a Powered USB Hub to connect to an iPad. To accomplish this, connect it in the following order: Launchpad (Mk2) > USB...
With the Launchpad (not original Launchpad or Launchpad S), it is possible to change the MIDI Channel for User 1 and User 2 mode. It’s important to bear this in mind if you’re trying to set up a...